Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKGetCompLossyPrecision

Get STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master precision for lossy compression (requires ZFP support)

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKGetCompLossyPrecision(Mat F, PetscInt *lossy_prec)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

## Output Parameter

- lossy_prec - Number of bitplanes to use in lossy compression

## See Also

`MATSOLVERSTRUMPACK`, `MatGetFactor()`, `MatSTRUMPACKSetCompLossyPrecision()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Implementations

MatSTRUMPACKGetCompLossyPrecision_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages